import request from '@/utils/request'

// 查询指南栏目列表
export function listGuideItem(query) {
  return request({
    url: '/system/guideItem/list',
    method: 'get',
    params: query
  })
}

// 查询指南栏目详细
export function getGuideItem(id) {
  return request({
    url: '/system/guideItem/' + id,
    method: 'get'
  })
}

// 新增指南栏目
export function addGuideItem(data) {
  return request({
    url: '/system/guideItem',
    method: 'post',
    data: data
  })
}

// 修改指南栏目
export function updateGuideItem(data) {
  return request({
    url: '/system/guideItem',
    method: 'put',
    data: data
  })
}

// 删除指南栏目
export function delGuideItem(id) {
  return request({
    url: '/system/guideItem/' + id,
    method: 'delete'
  })
}

// 查询分类列表
export function selGategorTree() {
  return request({
    url: '/system/guideItem/selGategorTree',
    method: 'get',
  })
}
